<?php
namespace App\Repositories\Interfaces\Website;

use Illuminate\Http\Request;

interface SubscriptionRepositoryInterface
{
    public function create($package, $trx_id, $stripe_session, $billingInfo);
    public function cancelSubscription($id);
    public function subscribeListStatus(Request $request, $id);
    public function stopRecurring($id);
    public function rentVideo($request, $type);
}
